Create Product Review

Creates a *Product Review*. **Required Fields** - title - date_reviewed **Read-Only Fields** * id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

product_idstringRequired

Request

This endpoint expects an object.
titlestringRequired0-255 characters

The title for the product review. Required in /POST.

date_revieweddatetimeRequired

Date the product was reviewed. Required in /POST.

textstringOptional
The text for the product review.
statusstringOptional

The status of the product review. Must be one of approved, disapproved or pending.

ratingintegerOptional
The rating of the product review. Must be one of 0, 1, 2, 3, 4, 5.
emailstringOptional
The email of the reviewer. Must be a valid email, or an empty string.
namestringOptional0-255 characters
The name of the reviewer.

Response

dataobject
A product review model.
metaobject
Response metadata.

Errors

404
Not Found Error